/**
 * <roboticscape.h>
 *
 * @brief Includes all RoboticsCape lib subsystems.
 *
 * This includes the complete Robotics Cape API. All functions declared here can
 * be used by linking to /usr/lib/robotics_cape.so
 *
 * @author     James Strawson
 * @date       3/7/2018
 * @addtogroup RoboticsCape_All
 */

#ifndef ROBOTICS_CAPE
#define ROBOTICS_CAPE

#include <rc/adc.h>
#include <rc/bmp.h>
#include <rc/button.h>
#include <rc/cpu.h>
#include <rc/deprecated.h>
#include <rc/dsm.h>
#include <rc/encoder_eqep.h>
#include <rc/encoder_pru.h>
#include <rc/gpio.h>
#include <rc/i2c.h>
#include <rc/led.h>
#include <rc/math.h>
#include <rc/mavlink_udp.h>
#include <rc/mavlink_udp_helpers.h>
#include <rc/model.h>
#include <rc/motor.h>
#include <rc/mpu.h>
#include <rc/pinmux.h>
#include <rc/pru.h>
#include <rc/pthread.h>
#include <rc/pwm.h>
#include <rc/servo.h>
#include <rc/spi.h>
#include <rc/start_stop.h>
#include <rc/time.h>
#include <rc/uart.h>
#include <rc/version.h>

#endif //ROBOTICS_CAPE

/** @} end group RoboticsCape_All*/




